import * as React from "react";

import "../style/quickItem.scss";

interface Props {
	name: string;
	url: string;
}

class QuickItem extends React.Component<Props> {

	constructor(props) {
		super(props);
	}

	onClick() {
		window.location.href = this.props.url;
	}

	render(): JSX.Element {
		return <div className="quickItem-component" onClick={() => this.onClick()}>
			{this.props.name}
		</div>;
	}

}

export default QuickItem;
